import { Rebuilder } from './rebuild';
declare type PackageJSONValue = string | Record<string, unknown>;
export declare enum BuildType {
    Debug = "Debug",
    Release = "Release"
}
export declare class ModuleRebuilder {
    private modulePath;
    private packageJSON;
    private rebuilder;
    constructor(rebuilder: Rebuilder, modulePath: string);
    get buildType(): BuildType;
    get metaPath(): string;
    get metaData(): string;
    get moduleName(): string;
    alreadyBuiltByRebuild(): Promise<boolean>;
    buildNodeGypArgs(prefixedArgs: string[]): Promise<string[]>;
    buildNodeGypArgsFromBinaryField(): Promise<string[]>;
    cacheModuleState(cacheKey: string): Promise<void>;
    isPrebuildNativeModule(): Promise<boolean>;
    packageJSONFieldWithDefault(key: string, defaultValue: PackageJSONValue): Promise<PackageJSONValue>;
    packageJSONField(key: string): Promise<PackageJSONValue | undefined>;
    /**
     * Whether a prebuild-based native module exists.
     */
    prebuildNativeModuleExists(): Promise<boolean>;
    private restoreEnv;
    rebuildNodeGypModule(cacheKey: string): Promise<void>;
    rebuildPrebuildModule(cacheKey: string): Promise<boolean>;
    replaceExistingNativeModule(): Promise<void>;
    runPrebuildInstall(prebuildInstallPath: string): Promise<void>;
    writeMetadata(): Promise<void>;
}
export {};
